Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.jade
Class JadeMASLauncherAnt

    java.lang.Object
      jason.infra.centralised.CentralisedMASLauncherAnt
          jason.infra.jade.JadeMASLauncherAnt

All Implemented Interfaces:
  MASLauncherInfraTier, java.lang.Runnable

    public class JadeMASLauncherAnt

extends CentralisedMASLauncherAnt
implements MASLauncherInfraTier

Creates the script build.xml to launch the MAS using JADE.

Field Summary
`static java.lang.String` | `snifferConfFile`

Fields inherited from class jason.infra.centralised.CentralisedMASLauncherAnt
`bindir, listener, masProcess, processOut, project, stop`

Constructor Summary
`JadeMASLauncherAnt()`

Method Summary
`protected java.lang.String` | `replaceMarks(java.lang.String script, boolean debug)`

Methods inherited from class jason.infra.centralised.CentralisedMASLauncherAnt
`getStartCommandArray, hasCBuild, replace, run, setListener, setProject, stopMAS, writeScripts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jason.jeditplugin.MASLauncherInfraTier
`setListener, setProject, stopMAS, writeScripts`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### snifferConfFile

    public static java.lang.String snifferConfFile

Constructor Detail

### JadeMASLauncherAnt

    public JadeMASLauncherAnt()

Method Detail

### replaceMarks

    protected java.lang.String replaceMarks(java.lang.String script,
                                            boolean debug)

  Overrides:
    `replaceMarks` in class `CentralisedMASLauncherAnt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD